OGRE: Ogre::ScriptTranslatorManager Class Reference - OGRE Documentation

Public Member Functions

# Ogre::ScriptTranslatorManager Class Reference
[General]

The ScriptTranslatorManager manages the lifetime and access to script translators. More...

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::ScriptTranslatorManager:
[legend]

List of all members.

## Public Member Functions
virtual | ~ScriptTranslatorManager ()
virtual size_t | getNumTranslators () const =0
| Returns the number of translators being managed.
virtual ScriptTranslator * | getTranslator (const AbstractNodePtr &)=0
| Returns a manager for the given object abstract node, or null if it is not supported.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

The ScriptTranslatorManager manages the lifetime and access to script translators.

You register these managers with the ScriptCompilerManager tied to specific object types. Each manager may manage multiple types.

Definition at line 100 of file OgreScriptTranslator.h.

## Constructor & Destructor Documentation

virtual Ogre::ScriptTranslatorManager::~ScriptTranslatorManager | ( |  | ) | `[virtual]`

Definition at line 104 of file OgreScriptTranslator.h.

## Member Function Documentation

virtual size_t Ogre::ScriptTranslatorManager::getNumTranslators | ( |  | ) | const`[pure virtual]`

Returns the number of translators being managed.

Implemented in Ogre::BuiltinScriptTranslatorManager, and Ogre::RTShader::ShaderGenerator::SGScriptTranslatorManager.

virtual ScriptTranslator* Ogre::ScriptTranslatorManager::getTranslator | ( | const AbstractNodePtr & |  | ) | `[pure virtual]`

Returns a manager for the given object abstract node, or null if it is not supported.

Implemented in Ogre::BuiltinScriptTranslatorManager, and Ogre::RTShader::ShaderGenerator::SGScriptTranslatorManager.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01